#
# spec file for package python
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pypi_name ethtool

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-%{pypi_name}
Version:        0.13
Release:        lp152.3.5
Summary:        Ethernet settings Python bindings
License:        GPL-2.0
Group:          Development/Languages/Python
Url:            https://github.com/fedora-python/%{name}
Source:         https://files.pythonhosted.org/packages/source/e/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  libnl3-devel
BuildRequires:  pkgconfig
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%python_subpackages

%description
Python bindings for the ethtool kernel interface that allows querying and
changing of Ethernet interface settings, such as speed, port, autonegotiation, and
PCI locations.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
export LANG=C.UTF-8
export CFLAGS="%{optflags}"
%python_build

%install
export LANG=C.UTF-8
%python_install

mkdir -p %{buildroot}%{_sbindir}  %{buildroot}%{_mandir}/man8
mv %{buildroot}{%{_bindir},%{_sbindir}}/pifconfig
mv %{buildroot}{%{_bindir},%{_sbindir}}/pethtool

%files %{python_files}
%defattr(-,root,root)
%doc README.rst CHANGES.rst COPYING
%{python_sitearch}/
%python3_only %{_sbindir}/pethtool
%python3_only %{_sbindir}/pifconfig

%changelog
* Wed Nov  1 2017 mc@suse.com
- provide tools for python3 only again
* Tue Oct 17 2017 mantel@suse.de
- use update_alternatives for different python versions
* Tue Oct 17 2017 jengelh@inai.de
- Update descriptions.
* Tue Oct 17 2017 mantel@suse.de
- update to version 0.13 for python3 support
- fix build for python2 and python3
- drop obsolete patch python-ethtool.patch
* Tue Mar  1 2016 olaf@aepfle.de
- add python-ethtool.patch to fix build
* Sat Nov 29 2014 p.drouand@gmail.com
- Clean-up specfile
- Fix Group
* Fri Nov 14 2014 cbosdonnat@suse.com
- Updated to version 0.11
* Tue Sep  2 2014 ro@suse.de
- sanitize release line in specfile
* Fri Jan 17 2014 mc@suse.de
- update to version 0.09
  * drop sle10.patch - we do not build this for SLES10
  * drop bug-806936_0001-pifconfig-Fix-listing-of-an-Interface.patch
    upstream fixed it too
- Make pifconfig respect interface arguments from the command line
- pifethtool: Show IPv6 address information when available
- Fix memory leaks in get_interfaces_info()
- Support devices with multiple IPv4 addresses
- Fix get_active_devices() for IPv6 only interfaces
* Mon Mar  4 2013 mc@suse.de
- fix listing single network interfaces (bnc#806936)
* Fri May 18 2012 mc@suse.de
- add patch for sle10 to remove not existing function calles
  for old libnl (bnc#763015)
* Fri Apr 20 2012 mc@suse.de
- update to version 0.7 (bnc#770389)
  * fixes several memory leaks
  * add man pages
  * other bugfixes
* Sun Apr  3 2011 mc@suse.de
- update to version 0.6
- added IPv6 support
* Wed Feb  2 2011 mc@suse.de
- fix build on RH5
* Wed Jan 28 2009 dbahi@novell.com
- Packaging for suse flavors
* Mon Aug 25 2008 acme@redhat.com
- Add get_flags method from the first python-ethtool contributor, yay
- Add pifconfig command, that mimics the ifconfig tool using the
  bindings available
* Tue Aug 19 2008 acme@redhat.com
- Expand description and summary fields, as part of the fedora
  review process.
* Mon Jun  9 2008 acme@redhat.com
- add dist to the release tag
* Mon Dec 17 2007 acme@redhat.com
- First build into MRG repo
* Mon Dec 17 2007 acme@redhat.com
- Get ethtool code from rhpl 0.212
